#
# spec file for package idled (Version 1.16)
#

Name:         idled
License:      Contact author, Other License(s), see package
Group:        System/Daemons
Version:      1.16
Release:      15.sl5.vvm
Summary:      Idle daemon
URL:          http://www.darkwing.com/idled
Source:       ftp://ftp.cs.hope.edu/pub/idled/idled-%{version}.tar.bz2
Source1:      idled.init
Source2:      idled.cf
Source3:      idled.logrotate
Patch0:       idled-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This program automatically logs out users who have been idle for some
time; this time, of course, can be set by the system administrator.



Authors:
--------
    Michael P. Crider <crider@cs.hope.edu>

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .orig

%build
%{__make} clean
%ifarch x86_64
%{__make} OPTFLAGS="$RPM_OPT_FLAGS -mcmodel=medium" \
	DEST="%{_sbindir}" \
	CFDEST="%{_sysconfdir}" \
	MDEST="%{_mandir}" \
	LOGDEST="/var/log"
%else
%{__make} OPTFLAGS="$RPM_OPT_FLAGS" \
	DEST="%{_sbindir}" \
	CFDEST="%{_sysconfdir}" \
	MDEST="%{_mandir}" \
	LOGDEST="/var/log"
%endif

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d $RPM_BUILD_ROOT/etc/logrotate.d
install -d $RPM_BUILD_ROOT/usr/share/man/man5
install -d $RPM_BUILD_ROOT/usr/share/man/man8
install idled $RPM_BUILD_ROOT%{_sbindir}
install idled.cf.5 $RPM_BUILD_ROOT%{_mandir}/man5
install idled.8 $RPM_BUILD_ROOT%{_mandir}/man8

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/idled
install %{SOURCE2} $RPM_BUILD_ROOT/etc/idled.cf
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/idled


%post
if [ $1 = 1 ] ; then
  /sbin/chkconfig --add idled
fi

%preun
if [ $1 = 0 ] ; then
  /etc/init.d/idled stop
  /sbin/chkconfig --del idled
fi

%clean
rm -rf "$RPM_BUILD_ROOT"
 

%files
%defattr(-, root, root)
%doc CHANGES COPYRIGHT README TODO idled.cf.template
/usr/sbin/idled
%config(noreplace) /etc/idled.cf
%doc %{_mandir}/man5/idled.*
%doc %{_mandir}/man8/idled.*
%config /etc/rc.d/init.d/idled
%config /etc/logrotate.d/idled

%changelog -n idled
* Tue Jun 22 2010 - vvm
- build for SL5
* Sat May 21 2005 - vvm@mammoth.jinr.ru
- adopted for SL3
* Wed May 21 2003 - mmj@suse.de
- Implement try-restart correctly in init-script
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Sat Jul 27 2002 - adrian@suse.de
- do not source rc.config anymore
* Thu Jan 10 2002 - egmont@suselinux.hu
- changed /sbin/init.d to /etc/init.d in init script comment
- fix typo deamon to daemon in init script
* Wed Dec 05 2001 - nadvornik@suse.cz
- removed START_IDLED
* Tue Oct 30 2001 - bjacke@suse.de
- make ideled.cf (noreplace)
* Thu Apr 12 2001 - nadvornik@suse.cz
- changed initscript according to skeleton
* Tue Jan 30 2001 - nadvornik@suse.cz
- compiled with -DUTMPHOST
* Wed Nov 29 2000 - nadvornik@suse.cz
- moved init script to /etc/init.d
* Wed Nov 22 2000 - nadvornik@suse.cz
- removed runlevel links
- fixed init script
* Thu Nov 09 2000 - nadvornik@suse.cz
- fixed copyright
- added url
* Thu May 18 2000 - nadvornik@suse.cz
- changed Group tag
- fixed filelist
* Wed Apr 26 2000 - nadvornik@suse.cz
- compiled with -DUTMPPID - more reliable
- allowed name :0 in idled.cf
* Thu Mar 23 2000 - nadvornik@suse.cz
- added source url
* Tue Mar 14 2000 - nadvornik@suse.cz
- added BuildRoot
- removed Makefile.Linux
* Fri Mar 03 2000 - fehr@suse.de
- move man pages to /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - fehr@suse.de
- changed to new version 1.16
- moved binary to /usr/sbin, moved config file to /etc
